Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# TAO_DIOP_Endpoint Class Reference

TAO_DIOP_Endpoint. More...

`#include <DIOP_Endpoint.h>`

Inheritance diagram for TAO_DIOP_Endpoint:

[legend]
Collaboration diagram for TAO_DIOP_Endpoint:

[legend]
List of all members.

## Public Methods
| TAO_DIOP_Endpoint (void)
| Default constructor.
| TAO_DIOP_Endpoint (const char *host, CORBA::UShort port, const ACE_INET_Addr &addr, CORBA::Short priority=TAO_INVALID_PRIORITY)
| TAO_DIOP_Endpoint (const ACE_INET_Addr &addr, int use_dotted_decimal_addresses)
| Constructor.
| TAO_DIOP_Endpoint (const char *host, CORBA::UShort port, CORBA::Short priority)
| Constructor. This constructor is used when decoding endpoints.
| ~TAO_DIOP_Endpoint (void)
| Destructor.
const ACE_INET_Addr & | object_addr (void) const
| Return a reference to the <object_addr>.
const char * | host (void) const
const char * | host (const char *h)
CORBA::UShort | port (void) const
| Return the port number.
CORBA::UShort | port (CORBA::UShort p)
| Set the port number.
TAO_Endpoint Methods
Please check the documentation in Endpoint.h for details.
virtual TAO_Endpoint * | next (void)
virtual int | addr_to_string (char *buffer, size_t length)
virtual TAO_Endpoint * | duplicate (void)
CORBA::Boolean | is_equivalent (const TAO_Endpoint *other_endpoint)
CORBA::ULong | hash (void)
| Return a hash value for this object.
## Private Methods
int | set (const ACE_INET_Addr &addr, int use_dotted_decimal_addresses)
| Helper method for setting INET_Addr.
## Private Attributes
CORBA::String_var | host_
| String representing the host name.
CORBA::UShort | port_
| TCP port number.
ACE_INET_Addr | object_addr_
int | object_addr_set_
| Flag to indicate if the address has been resolved and set.
TAO_DIOP_Endpoint * | next_
## Friends
class | TAO_DIOP_Profile
class | TAO_SSLIOP_Profile

## Detailed Description

TAO_DIOP_Endpoint.

DIOP-specific implementation of PP Framework Endpoint interface.

## Constructor & Destructor Documentation

TAO_DIOP_Endpoint::TAO_DIOP_Endpoint | ( | void |  | ) |

| Default constructor.

TAO_DIOP_Endpoint::TAO_DIOP_Endpoint | ( | const char * | host,
|  | CORBA::UShort | port,
|  | const ACE_INET_Addr & | addr,
|  | CORBA::Short | priority = TAO_INVALID_PRIORITY
| ) |

| Constructor. This is the most efficient constructor since it does not require any address resolution processing.

TAO_DIOP_Endpoint::TAO_DIOP_Endpoint | ( | const ACE_INET_Addr & | addr,
|  | int | use_dotted_decimal_addresses
| ) |

| Constructor.

TAO_DIOP_Endpoint::TAO_DIOP_Endpoint | ( | const char * | host,
|  | CORBA::UShort | port,
|  | CORBA::Short | priority
| ) |

| Constructor. This constructor is used when decoding endpoints.

TAO_DIOP_Endpoint::~TAO_DIOP_Endpoint | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int TAO_DIOP_Endpoint::addr_to_string | ( | char * | buffer,
|  | size_t | length
| ) | `[virtual]`

| Implements TAO_Endpoint.

TAO_Endpoint * TAO_DIOP_Endpoint::duplicate | ( | void |  | ) | `[virtual]`

| Implements TAO_Endpoint.

CORBA::ULong TAO_DIOP_Endpoint::hash | ( | void |  | ) | `[virtual]`

| Return a hash value for this object. Implements TAO_Endpoint.

const char * TAO_DIOP_Endpoint::host | ( | const char * | h | ) |

| Copy the string <h> into <host_> and return the resulting pointer. This object maintains ownership of this string.

ACE_INLINE const char * TAO_DIOP_Endpoint::host | ( | void |  | ) | const

| Return a pointer to the host string. This object maintains ownership of this string.

CORBA::Boolean TAO_DIOP_Endpoint::is_equivalent | ( | const TAO_Endpoint * | other_endpoint | ) | `[virtual]`

| Return true if this endpoint is equivalent to <other_endpoint>. Two endpoints are equivalent iff their port and host are the same. Implements TAO_Endpoint.

TAO_Endpoint * TAO_DIOP_Endpoint::next | ( | void |  | ) | `[virtual]`

| Implements TAO_Endpoint.

const ACE_INET_Addr & TAO_DIOP_Endpoint::object_addr | ( | void |  | ) | const

| Return a reference to the <object_addr>.

ACE_INLINE CORBA::UShort TAO_DIOP_Endpoint::port | ( | CORBA::UShort | p | ) |

| Set the port number.

ACE_INLINE CORBA::UShort TAO_DIOP_Endpoint::port | ( | void |  | ) | const

| Return the port number.

int TAO_DIOP_Endpoint::set | ( | const ACE_INET_Addr & | addr,
|  | int | use_dotted_decimal_addresses
| ) | `[private]`

| Helper method for setting INET_Addr.

## Friends And Related Function Documentation

friend class TAO_DIOP_Profile`[friend]`

friend class TAO_SSLIOP_Profile`[friend]`

## Member Data Documentation

CORBA::String_var TAO_DIOP_Endpoint::host_`[private]`

| String representing the host name.

TAO_DIOP_Endpoint* TAO_DIOP_Endpoint::next_`[private]`

| DIOP Endpoints can be stringed into a list. Return the next endpoint in the list, if any.

ACE_INET_Addr TAO_DIOP_Endpoint::object_addr_`[private]`

| Cached instance of <ACE_INET_Addr> for use in making invocations, etc.

int TAO_DIOP_Endpoint::object_addr_set_`[private]`

| Flag to indicate if the address has been resolved and set.

CORBA::UShort TAO_DIOP_Endpoint::port_`[private]`

| TCP port number.

The documentation for this class was generated from the following files:

- DIOP_Endpoint.h
- DIOP_Endpoint.cpp
- DIOP_Endpoint.i